Package org.eclipse.net4j.util.cache

## Interface ICacheMonitor

- All Superinterfaces:
    `INotifier`
  All Known Implementing Classes:
    `CacheMonitor`

      public interface ICacheMonitor
      extends INotifier

  Author:
    Eike Stepper

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface | Description
    --- | --- | ---
    `static class` | `ICacheMonitor.Condition` |
    `static interface` | `ICacheMonitor.ConditionPolicy` |

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.util.event.INotifier

      `INotifier.INotifier2`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `deregisterCache​(ICache cache)` |
    `ICacheMonitor.Condition` | `getCondition()` |
    `ICacheMonitor.ConditionPolicy` | `getConditionPolicy()` |
    `ICacheProbe` | `registerCache​(ICache cache)` |

    - ### Methods inherited from interface org.eclipse.net4j.util.event.INotifier

      `addListener, getListeners, hasListeners, removeListener`

- - ### Method Detail

    - #### getConditionPolicy

          ICacheMonitor.ConditionPolicy getConditionPolicy()

    - #### getCondition

          ICacheMonitor.Condition getCondition()

    - #### registerCache

          ICacheProbe registerCache​(ICache cache)

    - #### deregisterCache

          void deregisterCache​(ICache cache)